Subject: Newbie looks for advice on preparing the garden for winter

From: [email-masked] (Paul Martin/Bob Trost)
Date: 16 Sep 1995 13:19:33 GMT

I just moved into a house with a plant box (size 4'x10') full of weeds.  
I want to plant tulips, crocuses, anemones, and daffodils for next spring.
I'm not sure of the soil type except that it is sort of sandy and relatively
dry (does not look all that rich with nutrients).  What is the best way to 
prepare the box for the winter (in Ontario, Canada this runs from mid November 
to end March)?  I'm looking for suggestions on fertilizer types and anything 
to maintain weed control.  Also, what should I do in the spring in order 
to add some annuals for the summer.  Any ideas for a good beginner book?   
Note: the plant box faces east with serveral obstructions blocking low 
angled sunlight.  The box receives sunlight only at high angles making for 
direct exposure around the noon hour period.  

Thanks,

Paul Martin.